Summary: Clzip is a lossless file compressor based on the LZMA algorithm
Name: clzip
Version: 1.14
Release: 1%{?dist}
License: GPL-2.0-or-later
Group: System Environment/Base
URL: https://www.nongnu.org/lzip/clzip.html
Packager: Simon Matter <simon.matter@invoca.ch>
Vendor: Invoca Systems
Distribution: Invoca Linux Server
Source0: https://download.savannah.gnu.org/releases/lzip/%{name}/%{name}-%{version}.tar.gz
Requires(post,preun): /sbin/install-info
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
Clzip is a lossless data compressor based on the LZMA algorithm,
with very safe integrity checking and a user interface almost identical
to the one of bzip2. Clzip is only a data compressor, not an archiver.
It has no facilities for multiple files, encryption, or archive-splitting,
but, in the Unix tradition, relies on utilities such as GNU Tar for
these tasks. Clzip is very well suited for software distribution.

Clzip uses the lzip file format, the files produced by clzip are fully
compatible with lzip-1.4 or newer. Clzip is in fact a C language version
of lzip, intended for embedded devices or systems lacking a C++ compiler.

%prep
%setup -q

%build
%configure CFLAGS="$CFLAGS" LDFLAGS="$LDFLAGS"
%{__make}

%install
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}
%{__make} install DESTDIR=%{buildroot} INSTALL="install -p"

# installed, but not packaged in rpm
%{__rm} -f %{buildroot}%{_infodir}/dir

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%post
/sbin/install-info %{_infodir}/%{name}.info.gz %{_infodir}/dir || &> /dev/null
exit 0

%preun
if [ $1 -eq 0 ]; then
  /sbin/install-info --delete %{_infodir}/%{name}.info.gz %{_infodir}/dir || &> /dev/null
fi
exit 0

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%{_infodir}/%{name}.info*

%changelog
* Fri Jan 26 2024 Simon Matter <simon.matter@invoca.ch> 1.14-1
- upgrade to 1.14

* Mon Jan 31 2022 Simon Matter <simon.matter@invoca.ch> 1.13-1
- upgrade to 1.13

* Thu Jan 07 2021 Simon Matter <simon.matter@invoca.ch> 1.12-1
- upgrade to 1.12

* Wed Jan 09 2019 Simon Matter <simon.matter@invoca.ch> 1.11-1
- upgrade to 1.11

* Fri Feb 09 2018 Simon Matter <simon.matter@invoca.ch> 1.10-1
- upgrade to 1.10

* Fri Apr 28 2017 Simon Matter <simon.matter@invoca.ch> 1.9-1
- upgrade to 1.9

* Mon May 30 2016 Simon Matter <simon.matter@invoca.ch> 1.8-1
- upgrade to 1.8

* Wed Dec 31 2014 Simon Matter <simon.matter@invoca.ch> 1.6-1
- upgrade to 1.6

* Mon Sep 30 2013 Simon Matter <simon.matter@invoca.ch> 1.5-1
- upgrade to 1.5

* Fri Jun 07 2013 Simon Matter <simon.matter@invoca.ch> 1.4-1
- upgrade to 1.4

* Mon May 23 2011 Simon Matter <simon.matter@invoca.ch> 1.2-1
- upgrade to 1.2

* Fri Apr 15 2011 Simon Matter <simon.matter@invoca.ch> 1.1-2
- mass rebuild

* Sat Jan 15 2011 Simon Matter <simon.matter@invoca.ch> 1.1-1
- upgrade to 1.1

* Thu Apr 08 2010 Simon Matter <simon.matter@invoca.ch> 1.0-1
- initial package
